package cn.ey.biz.module.system.service.appuser;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.controller.admin.appuser.vo.AppUserPageReqVO;
import cn.ey.biz.module.system.controller.admin.appuser.vo.AppUserPageRespVO;
import cn.ey.biz.module.system.controller.admin.appuser.vo.AppUserReqVO;
import cn.ey.biz.module.system.controller.admin.appuser.vo.AppUserRespVO;

public interface AppUserService {

    Long createAppUser(AppUserReqVO reqVO);

    void updateAppUserStatus(AppUserReqVO reqVO);

    AppUserRespVO getAppUser(Long id);

    PageResult<AppUserPageRespVO> getAppUserPage(AppUserPageReqVO reqVO);

}
